| Home | Libraries | People | FAQ | More

## Struct template path_of

boost::property_tree::path_of — If you want to use a custom key type, specialize this struct for it and give it a 'type' typedef that specifies your path type. The path type must conform to the Path concept described in the documentation. This is already specialized for std::basic_string.

## Synopsis

    // In header: <boost/property_tree/ptree_fwd.hpp>

    template<typename Key>
    struct path_of {
    };